package org.nm.challenge.wave;

import org.nm.challenge.arrays.IArray2D;

public interface IProblemSetup {
	
	IArray2D getH();
	IArray2D getU();	
	IArray2D getV();
	
	IArray2D getNewH();
	IArray2D getNewU();	
	IArray2D getNewV();
	
	int getOffsetX();
	
	int getOffsetY();
	int getSizeX();
	
	int getSizeY();
	int getTotalSizeX();
	
	int getTotalSizeY();
	
	boolean isWavePhysics();
	
	void swapArrays();

}
